Subject: [PCN] Oscillation about the admission threshold

From: Tom Taylor <[email-masked]>
Date: Wed, 18 Feb 2009 20:04:15 -0500

In private conversation you have suggested that it might not be desirable to 
have the system oscillate between "admit" and "block", and have suggested 
building in an additional CLE threshold for resumption of admission, to provide 
hysteresis. I suspect that wouldn't alter the essential characteristics of the 
system. What I might suggest as an alternative is to "put the brakes on" 
gradually, by defining a range of CLE values. At the lower end of the range, no 
new flows are blocked. At the upper end, all flows are blocked. In between, the 
fraction blocked increases linearly.

Tom

---

From: Michael Menth <[email-masked]>
Date: Thu, 19 Feb 2009 08:37:21 +0100

Hi Tom and all,

Tom Taylor schrieb:
> In private conversation you have suggested that it might not be 
> desirable to have the system oscillate between "admit" and "block", 
This is rather a question than a statement. When the link is operated 
just below the admissible rate, it may already be overloaded in the next 
step. Therefore, avoiding such states by blocking as long as the 
situation is not significantly improved (which is the hysteresis 
mechanism with two thresholds) would help.

> and have suggested building in an additional CLE threshold for 
> resumption of admission, to provide hysteresis. I suspect that 
> wouldn't alter the essential characteristics of the system. What I 
> might suggest as an alternative is to "put the brakes on" gradually, 
> by defining a range of CLE values. At the lower end of the range, no 
> new flows are blocked. At the upper end, all flows are blocked. In 
> between, the fraction blocked increases linearly.
This is more complex and leads to similar results. The main matter is at 
which CLE level to start and at which to stop blocking. That question is 
the same for the hysteresis mechanism and your proposed solution. In 
Fig. 10c of
http://www3.informatik.uni-wuerzburg.de/~menth/Publications/papers/Menth08f.pdf
we have shown that the hysteresis mechanism works quite well.

Regards,

Michael

-- 
Dr. Michael Menth, Assistant Professor
University of Wuerzburg, Institute of Computer Science
Am Hubland, D-97074 Wuerzburg, Germany, room B206
phone: (+49)-931/888-6644, fax: (+49)-931/888-6632
mailto:[email-masked]
http://www3.informatik.uni-wuerzburg.de/research/ngn